Migrate server to another Coolify instance
API server
https://app.coolify.io/api/v1Start a transfer in the background: export this server, import and claim it on the target instance (with the given token), then disable automations here. All secrets of the server, also locked environment variables, are sent to the target. Follow the progress with GET /servers/{uuid}/transfer. The target URL must use https. Requires read:sensitive and write, and the owner role of the server team.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
target_url*string
target_token*string
API token on the target instance (root or write)
Response Body
application/json
curl -X POST "https://app.coolify.io/api/v1/servers/string/migrate" \ -H "Content-Type: application/json" \ -d '{ "target_url": "https://coolify-b.example.com", "target_token": "string" }'Empty
Empty
{ "message": "Resource not found."}Empty
